Author: jfrederic.clere(a)jboss.com
Date: 2011-05-27 11:31:48 -0400 (Fri, 27 May 2011)
New Revision: 2788
Modified:
trunk/build/unix/util/jbossweb/build.sh
trunk/build/unix/util/jbosswebtests/pom.xml
Log:
Add parameter for the -d32 or -d64.
Modified: trunk/build/unix/util/jbossweb/build.sh
===================================================================
--- trunk/build/unix/util/jbossweb/build.sh 2011-05-27 15:05:32 UTC (rev 2787)
+++ trunk/build/unix/util/jbossweb/build.sh 2011-05-27 15:31:48 UTC (rev 2788)
@@ -61,6 +61,15 @@
shift
done
+mvn install || exit 1
+
+(cd ../jbosswebtests
+ if $force_64; then
+ mvn -Djvmsize=64 install || exit 1
+ else
+ mvn -Djvmsize=32 install || exit 1
+) || exit 1
+
echo ""
echo "SUCCESS : `basename $0` $LastChangedDate: 2011-05-06 16:35:58 +0200 (Fri, 06
May 2011) $"
echo ""
Modified: trunk/build/unix/util/jbosswebtests/pom.xml
===================================================================
--- trunk/build/unix/util/jbosswebtests/pom.xml 2011-05-27 15:05:32 UTC (rev 2787)
+++ trunk/build/unix/util/jbosswebtests/pom.xml 2011-05-27 15:31:48 UTC (rev 2788)
@@ -78,6 +78,7 @@
<!-- Start jbossweb (embedded) -->
<java classname="org.jboss.test.StartJBossWeb"
spawn="true" fork="yes">
+ <jvmarg line="-d${jvmsize}" />
<jvmarg
line="-Djava.util.logging.config.file=node1/conf/logging.properties" />
<jvmarg
line="-Djava.util.logging.manager=org.jboss.test.ClassLoaderLogManager"/>
<classpath refid="maven.test.classpath"/>
Show replies by date